%define global_version 3.2p1.4
%define release 8mdk
%define name xview

Summary: XView libraries for X11
Name:		%{name}
Version:	%{global_version}
Release:	%{release}
License:	Distributable
Group:		System/Libraries
Source:		%{name}_%{global_version}.orig.tar.bz2
Source1: http://www.akula.com/~jadler/sdo/olvwm/olvwm-4.4.tar.gz
Source2: openwin.sh
Source3: openwin.csh
Source4: startolvwm
Source5: startolwm
Source6: openwin
Source7: Xinitrc
Source8: olwm.menumethods
Source9: olvwm.menumethods
Source10: openwin-init
Patch1:		%{name}_%{global_version}-14.diff.bz2
#Patch2:      %{name}-%{version}.gccwarnings.diff.bz2
Patch3:      %{name}-%{version}.mdk.patch.bz2
Prefix:		/usr/X11R6
Requires:	XFree86-libs xpm
Requires:	which xtoolwait xtoolplaces
BuildRequires:	XFree86-devel xpm-devel
BuildRoot:	%{_tmppath}/%{name}-%{global_version}-root

%description
XView provides a set of pre-built, user-interface objects such as
canvases, scrollbars, menus, and control panels.  The appearance and
functionality of these objects follow the OPEN LOOK Graphical User
Interface (GUI) specification.

This is the Sun implementation of the OpenLook interface standard, using
the xview libraries. While somewhat outdated and superseded by Motif,
or gtk, it is still very useful, especially in providing compatibility
with older installations.

It is possible that the openwin desktop takes up much less disk space
to install and memory to run than modern desktops, which would make it
a good candidate for old hardware.


%package clients
Summary:	OpenWindows clients.
Group:		Graphical desktop/Others
Requires:	%{name} = %{global_version}

%description clients
A number of clients and utilties for OpenWindows :
clock, textedit, cmdtool, shelltool, owplaces and props.


%package devel
Summary:	Header files and static libraries for XView development
Group:		Development/Other
Requires:	%{name}

%description devel
All the files needed to develop applications that, using the XView libraries,
meet the Open Look interface specifications.


%package devel-examples
Summary:	A number of example programs and tutorials for the XView libraries.
Group:		Development/Other
Requires:	%{name}-devel

%description devel-examples
Sample programs - with source code - that cover the basics of XView
programming are included in this package.

Also includes documents on the XView API (Application Programming Interface).


%package -n olwm
Summary:	OpenLook Window Manager
Group:		Graphical desktop/Other
Requires:	xview = %{global_version}

%description -n olwm
This package contains the traditional Open Look Window Manager. For an
extended version that offers virtual desktops, have a look at the package
olvwm.


%package -n olvwm
Summary:	OpenLook Virtual Window Manager
Version:	4.4
Group:		Graphical desktop/Other
Requires:	xview = %{global_version}

%description -n olvwm
This package contains an extended version of olwm, the original
OpenLook window manager, enhanced for handling of virtual desktops
with support for 24-bit color modes.


%prep

%setup -q -a 1
%patch1 -p1 -b .orig
#%patch2 -p1 -b .orig
%patch3 -p1 -b .mdk
mv $RPM_BUILD_DIR/xview-3.2p1.4/olvwm-4.4 $RPM_BUILD_DIR/xview-3.2p1.4/clients

%build
perl -pi -e 's!olvwm-4.1!olvwm-4.4!' Build-LinuxXView.bash
find . -type f -exec perl -pi -e 's!^#endif!#endif \/\/!' {} \;
find . -type f -exec perl -pi -e 's!^#else!#else \/\/!' {} \;
OPENWINHOME=/usr/X11R6 bash Build-LinuxXView.bash libs  clients contrib olvwm

%install

[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/{lib,bin}

DESTDIR=$RPM_BUILD_ROOT OPENWINHOME=/usr/X11R6 bash Build-LinuxXView.bash instlibs
mv $RPM_BUILD_ROOT%{prefix}/lib/help/clock.info $RPM_BUILD_ROOT%{prefix}/lib/help/clock.info.keep

DESTDIR=$RPM_BUILD_ROOT OPENWINHOME=%{prefix} bash Build-LinuxXView.bash instclients  instcontrib instolvwm instfinish
mv -f $RPM_BUILD_ROOT%{prefix}/lib/help/clock.info.keep $RPM_BUILD_ROOT%{prefix}/lib/help/clock.info

#
## fixes	& forgotten things
## for xview
ln -s X11R6 $RPM_BUILD_ROOT/usr/openwin

# Strictly speaking, this requires perl, but we won't bother because everything else
# runs without perl and these scripts are not so important.
set -e && for prog in capitalize insert_brackets remove_brackets shift_lines; do \
	  install -m555 contrib/misc/$prog   $RPM_BUILD_ROOT%{prefix}/bin; \
	  pwd; \
	  install -m555 contrib/misc/$prog.1 $RPM_BUILD_ROOT%{prefix}/man/man1; \
	done
#	
mkdir -p $RPM_BUILD_ROOT/etc/X11/xview/
set -e && for file in text_extras_menu textswrc ttyswrc; do \
	  mv $RPM_BUILD_ROOT%{prefix}/lib/.$file $RPM_BUILD_ROOT/etc/X11/xview/$file; \
	  ln -fs /etc/X11/xview/$file $RPM_BUILD_ROOT%{prefix}/lib/.$file; \
	done
#	
mkdir -p $RPM_BUILD_ROOT%{prefix}/man/man7
mv $RPM_BUILD_ROOT%{prefix}/man/man1/xview.1x $RPM_BUILD_ROOT%{prefix}/man/man7/xview.7x
#
# fixes	& forgotten things
#for clients
set -e && for file in clock cmdtool shelltool textedit; do \
	  mv $RPM_BUILD_ROOT%{prefix}/man/man1/$file.1x $RPM_BUILD_ROOT%{prefix}/man/man1/$file.1; \
	done
#
sed -e '/"Workspace" TITLE/a\
\
"Mandrake menu " MENU           $OPENWINHOME/lib/openwin-menu-mandrake\
\
SEPARATOR
; ' contrib/misc/openwin-menu > openwin-menu
install -m644 contrib/misc/openwin-menu* $RPM_BUILD_ROOT%{prefix}/lib
install -m644 openwin-menu $RPM_BUILD_ROOT%{prefix}/lib/openwin-menu
install -m644 %{SOURCE10} $RPM_BUILD_ROOT%{prefix}/lib/openwin-init
#
# install misc fr
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/locale/fr/LC_MESSAGES
install -m 644 misc/message_files/*.po $RPM_BUILD_ROOT%{prefix}/share/locale/fr/LC_MESSAGES/

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
cp -a misc/xrdb_files/  $RPM_BUILD_ROOT/%{prefix}/share/doc/xview/
#
## fixes	& forgotten things
##for xview-devel-examples
mkdir -p $RPM_BUILD_ROOT/usr/lib/xview/examples
mv $RPM_BUILD_ROOT%{prefix}/share/src/xview/examples/bin/* $RPM_BUILD_ROOT/usr/lib/xview/examples
rmdir $RPM_BUILD_ROOT%{prefix}/share/src/xview/examples/bin/

mkdir -p $RPM_BUILD_ROOT/usr/share/doc/examples
mv $RPM_BUILD_ROOT%{prefix}/share/src/xview/examples/* $RPM_BUILD_ROOT/usr/share/doc/examples
#	
#	
## fixes	& forgotten things
##for olwm
set -e && for file in olwm olwmslave; do \
	  mv $RPM_BUILD_ROOT%{prefix}/man/man1/$file.1x $RPM_BUILD_ROOT%{prefix}/man/man1/$file.1; \
	done
#
# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
# mkdir -p $RPM_BUILD_ROOT/etc/X11/olwm
# cp $RPM_BUILD_ROOT/%{prefix}/lib/openwin-menu $RPM_BUILD_ROOT/etc/X11/olwm
# cp $RPM_BUILD_ROOT/%{prefix}/lib/openwin-menu-programs $RPM_BUILD_ROOT/etc/X11/olwm
#
mkdir -p $RPM_BUILD_ROOT/etc/menu-methods
cp $RPM_BUILD_DIR/%{name}-%{global_version}/debian/olwm.menu $RPM_BUILD_ROOT/%{_menudir}/olwm
cp %{SOURCE8} $RPM_BUILD_ROOT/etc/menu-methods/olwm
#install -m 755 debian/olwm-x-window-manager $RPM_BUILD_ROOT/usr/X11R6/bin/startolwm
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/usr/X11R6/bin/startolwm
#
## fixes	& forgotten things
##for olvwm
set -e && for file in olvwm olvwmrc; do \
	  mv $RPM_BUILD_ROOT%{prefix}/man/man1/$file.1x $RPM_BUILD_ROOT%{prefix}/man/man1/$file.1; \
	done
#
# mkdir -p $RPM_BUILD_ROOT/etc/X11/olvwm
# cp $RPM_BUILD_ROOT/%{prefix}/lib/openwin-menu $RPM_BUILD_ROOT/etc/X11/olvwm
# cp $RPM_BUILD_ROOT/%{prefix}/lib/openwin-menu-programs $RPM_BUILD_ROOT/etc/X11/olvwm
mkdir -p $RPM_BUILD_ROOT/etc/menu-methods
cp $RPM_BUILD_DIR/%{name}-%{global_version}/debian/olvwm.menu $RPM_BUILD_ROOT/%{_menudir}/olvwm
cp %{SOURCE9} $RPM_BUILD_ROOT/etc/menu-methods/olvwm
#install -m 755 debian/olvwm-x-window-manager $RPM_BUILD_ROOT/usr/X11R6/bin/startolvwm
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/usr/X11R6/bin/startolvwm
#perl -pi -e 's!Debian!Mandrake!' $RPM_BUILD_ROOT/etc/menu-methods/ol*
# wmsession support
install -d $RPM_BUILD_ROOT/%_sysconfdir/X11/wmsession.d/
cat << EOF > $RPM_BUILD_ROOT/%_sysconfdir/X11/wmsession.d/11Olvwm
NAME=Olvwm
ICON=twm.xpm
EXEC=%{_prefix}/X11R6/bin/startolvwm
DESC="OpenLook Virtual Window Manager"
SCRIPT:
exec %prefix/bin/startolvwm
EOF

install -m755 %{SOURCE6}  $RPM_BUILD_ROOT%{prefix}/bin
install -m755 %{SOURCE7}  $RPM_BUILD_ROOT%{prefix}/lib
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d
install -m755 %{SOURCE2} %{SOURCE3}  $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d/
perl -pi -e 's!xtoolplaces!xtoolplaces -w !' $RPM_BUILD_ROOT%{prefix}/bin/owplaces

%find_lang %name

%post
/sbin/ldconfig
%update_menus
%make_session

%postun
/sbin/ldconfig
%clean_menus
%make_session


%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LEGAL_NOTICE README*  $RPM_BUILD_ROOT/%{prefix}/share/doc/xview
#%config %{prefix}/lib/app-defaults
%{_sysconfdir}/profile.d/openwin.*sh
%{prefix}/bin/capitalize
%{prefix}/bin/insert_brackets
%{prefix}/bin/remove_brackets
%{prefix}/bin/shift_lines
%{prefix}/lib/text_extras_menu
%{prefix}/lib/textswrc
%{prefix}/lib/ttyswrc
%{prefix}/lib/.text_extras_menu
%{prefix}/lib/.textswrc
%{prefix}/lib/.ttyswrc
%{prefix}/lib/xview/*.sed
%{_sysconfdir}/X11/xview/text_extras_menu
%{_sysconfdir}/X11/xview/textswrc
%{_sysconfdir}/X11/xview/ttyswrc
/usr/openwin
%{prefix}/man/man1/capitalize.1.bz2
%{prefix}/man/man1/insert_brackets.1.bz2
%{prefix}/man/man1/remove_brackets.1.bz2
%{prefix}/man/man1/shift_lines.1.bz2
%{prefix}/man/man7/xview.7x.bz2
%{prefix}/lib/libolgx.so.*
%{prefix}/lib/libxview.so.*
%{prefix}/include/bitmaps/*
%{prefix}/include/images/*
%{prefix}/lib/help/textsw.info
%{prefix}/lib/help/ttysw.info
%{prefix}/lib/help/xview.info

	  
%files devel
%defattr(-, root, root)
%config /usr/X11R6/lib/X11/config
%{prefix}/include/olgx/*.h
%{prefix}/include/olgx_private/*.h
%{prefix}/include/pixrect/*.h
%{prefix}/include/xview/*.h
%{prefix}/include/xview_private/*.h
%{prefix}/lib/libolgx.a
%{prefix}/lib/libxview.a


%files clients
%defattr(-, root, root)
%{prefix}/bin/msgfmt
%{prefix}/bin/cv2*
%{prefix}/bin/clock
%{prefix}/bin/cmdtool
%{prefix}/bin/shelltool
%{prefix}/bin/props
%{prefix}/bin/textedit
%{prefix}/bin/owplaces
%{prefix}/bin/openwin
%{prefix}/bin/olwmslave
%{prefix}/man/man1/props.1x.bz2
%{prefix}/man/man1/msgfmt.1.bz2
%{prefix}/man/man1/olwmslave.1.bz2
%{prefix}/man/man1/cv*.1x.bz2
%{prefix}/man/man1/clock.1.bz2
%{prefix}/man/man1/cmdtool.1.bz2
%{prefix}/man/man1/shelltool.1.bz2
%{prefix}/man/man1/textedit.1.bz2
%{prefix}/lib/help/clock.info
%{prefix}/lib/help/props.info
%{prefix}/lib/help/textedit.info
%{prefix}/lib/help/workspace.info
%{prefix}/lib/Xinitrc
%{prefix}/lib/openwin-menu*
%{prefix}/lib/openwin-init
%{prefix}/share/locale/fr/LC_MESSAGES/*
%{prefix}/share/locale/C/props/C
%{prefix}/share/locale/C/props/basic_setting

%files devel-examples
%defattr(-, root, root)
%doc  $RPM_BUILD_ROOT/usr/share/doc/examples
/usr/lib/xview/examples

%files -n olwm
%defattr(-, root, root)
#/etc/X11/olwm/*
%{prefix}/bin/olwm*
%{prefix}/bin/startolwm
%{prefix}/man/man1/olwm*
%{prefix}/lib/help/olwm.info
%{prefix}/lib/help/workspace.info
%{_menudir}/olwm
%attr(755,root,root) /etc/menu-methods/olwm

%files -n olvwm
%defattr(-, root, root)
%config(noreplace) %_sysconfdir/X11/wmsession.d/11Olvwm
#/etc/X11/olvwm/*
%{prefix}/bin/olvwm*
%{prefix}/bin/startolvwm
%{prefix}/man/man1/olvwm*
%{prefix}/lib/help/olvwm.info
%{_menudir}/olvwm
%attr(755,root,root) /etc/menu-methods/olvwm

%changelog
* Wed Oct 03 2001 Philippe Libat <philippe@mandrakesoft.com> 4.4-9mdk
- fix openwin-init, Xinitrc

* Fri Sep 28 2001 Philippe Libat <philippe@mandrakesoft.com> 4.1-7mdk
- fix menu/menu-methods

* Thu Sep 27 2001 Philippe Libat <philippe@mandrakesoft.com> 4.1-6mdk
- fix Group,
- fix #endif,#else
- replace mktemp, with mkstemp

* Mon Sep 24 2001 Philippe Libat <philippe@mandrakesoft.com> 4.1-5mdk
- add olvwm 4.4
- fix startol*wm, Xinitrc

* Fri Sep 14 2001 Philippe Libat <philippe@mandrakesoft.com> 4.1-4mdk
- makesession, update_menu

* Mon Sep 10 2001 Philippe Libat <philippe@mandrakesoft.com> 4.1-3mdk
- update-menu

* Mon Jun 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2p1.4-2mdk
- Fix latest compilation.
- Add %defattr (silly viet)

* Tue Oct 03 2000 Quc-Vit H <viet@mandrakesoft.com> 3.2p1.4-1mdk
- fixes, missing menus, etc

* Wed Sep 28 2000 Quc-Vit H <viet@mandrakesoft.com> 3.2p1.4-0mdk
- moved from /usr/openwin to /usr/X11R6
